# BLACKBOXAI: AI Pair Programming in Your Terminal

BlackboxAI enables pair programming with LLMs directly in your terminal, working seamlessly with your local git repositories. Use it for new projects or existing codebases.

## Getting Started

Quick setup in two steps:

1. Install the package:
```
pip install blackboxai-chat
```

2. Start coding with your AI pair:
```
# Navigate to your git repository
$ cd /to/your/git/repo

# Launch BlackboxAI
$ blackboxai
```


## Features

- **Flexible File Selection**: Edit specific files with `blackboxai <file1> <file2> ...`
- **Intelligent Code Modifications**:
    + Feature implementation
    + Bug fixes
    + Test case generation
    + Code refactoring
    + Documentation updates
- **Git Integration**: Automatic commits with meaningful messages
- **Multi-language Support**: Works with Python, JavaScript, TypeScript, PHP, HTML, CSS, and more
- **Multi-file Capability**: Handles complex changes across multiple files
- **Codebase Awareness**: Utilizes repository mapping for better context
- **Real-time Sync**: Stays updated with your editor changes during chat sessions

Start pair programming with AI today!
